<?php //utf-8 marker: äöü 

if (!function_exists('sv') || preg_match('#/plugins/dirlist/index.php#i', $_SERVER['SCRIPT_NAME']))
{
	die('no direct access');
}

/*
============================================================ 
CMSimple Plugin DirList
============================================================ 
Version:    DirList 1.1
Released:   2023-01
Copyright:  Gert Ebersbach - www.ge-webdesign.de
============================================================ 
License:
- free for noncommercial websites
- fee required for commercial websites
============================================================ 
*/

// @session_start();

$plugin = 'dirlist';


// DEFINE DATA PATH

global $co_author_folder;

if(is_writable('./' . $co_author_folder . $plugin_cf['dirlist']['data_filepath']))
{
	$dirlistDataPath = './' . $co_author_folder . $plugin_cf['dirlist']['data_filepath'];
}
else
{
	$dirlistDataPath = $pth['folder']['base'] . $plugin_cf['dirlist']['data_filepath'];
}



/*
################################################
        M A I N  F U N C T I O N
################################################
*/

function dl_dirList($dl_subdir='',$dl_view='list',$dl_filetype='true',$dl_filedate='true',$dl_filesize='true')
{
	global $dirlistDataPath, $plugin_cf, $plugin_tx;
	
	if($dl_subdir != '')
	{
		$dirlistDataPathCurr = $dirlistDataPath . $dl_subdir . '/';
	}
	else
	{
		$dirlistDataPathCurr = $dirlistDataPath;
	}

	// create files array
	$dirlistFiles = array();

	if($dirlistFilesHandle = opendir($dirlistDataPathCurr))
	{
		while($dirlistFile = readdir($dirlistFilesHandle))
		{
			if($dirlistFile != '.' && $dirlistFile != '..' && !preg_match('/\.php|\.js/i',$dirlistFile) && strpos($dirlistFile,'.'))
			{
				$dirlistFiles[] = $dirlistFile;
				natcasesort($dirlistFiles);
			}
		}
	} 
	
	
	
/*
################################################
        P L U G I N  O U T P U T
################################################
*/
	
	$dirlistOutput = '

<div class="dirlinkMain">
';


// list view

	if($dl_view == 'list')
	{
		if(!empty($dirlistFiles))
		{
			$dirlistOutput.= '<ul>
';
			
			foreach($dirlistFiles as $dirlistFile)
			{
				$dirlistOutput.= '<li>' . "\n";
				
				$dirlistOutput.= '<span><a href="' . $dirlistDataPathCurr . $dirlistFile . '">' . $dirlistFile . '</a></span>';
				
				if($dl_filedate == 'true')
				{
					$dirlistOutput.= ', '  . "\n" . '<span>' . date ($plugin_tx['dirlist']['format_datetime'], filemtime($dirlistDataPathCurr . $dirlistFile)) . '</span>';
				}
				
				if($dl_filesize == 'true')
				{
					$dirlistOutput.= ', '  . "\n" . '<span>' . ' ca. ' . round(filesize($dirlistDataPathCurr . $dirlistFile)/1024, 0) . ' ' . $plugin_tx['dirlist']['text_kbyte'] . '</span>' . "\n";
				}
				
				$dirlistOutput.= '</li>
';
			}
			
			$dirlistOutput.= '</ul>';
		}
		else
		{
			$dirlistOutput.= '<p>' . $plugin_tx['dirlist']['text_no_files_or_folder'] . '<p>';
		}
	}
	
	
// table view

	if($dl_view == 'table')
	{
		if(!empty($dirlistFiles))
		{
			$dirlistOutput.= '<table class="sortable zebra design_dlTable1">
<thead>
<tr>
<th scope="col">' . $plugin_tx['dirlist']['table_filename'] . '</th>' . "\n";
		
		if($dl_filetype == 'true')
		{
			$dirlistOutput.= '<th scope="col">' . $plugin_tx['dirlist']['table_filetype1'] . '<br>' . $plugin_tx['dirlist']['table_filetype2'] . '</th>' . "\n";
		}
		
		if($dl_filedate == 'true')
		{
			$dirlistOutput.= '<th scope="col">' . $plugin_tx['dirlist']['table_filedate1'] . '<br>' . $plugin_tx['dirlist']['table_filedate2'] . '</th>' . "\n";
		}
		
		if($dl_filesize == 'true')
		{
			$dirlistOutput.= '<th scope="col">' . $plugin_tx['dirlist']['table_filesize1'] . '<br>' . $plugin_tx['dirlist']['table_filesize2'] . '</th>' . "\n";
		}
		
		$dirlistOutput.= '</tr>
</thead>
<tbody>
';
			
			foreach($dirlistFiles as $dirlistFile)
			{
				$dlFiletype = explode('.',$dirlistFile);
				$dlFiletype = array_pop($dlFiletype);
				
				$dirlistOutput.= '<tr>
<td class="dl_filename"><a href="' . $dirlistDataPathCurr . $dirlistFile . '">' . $dirlistFile . '</a></td>' . "\n";

				if($dl_filetype == 'true')
				{
					$dirlistOutput.= '<td class="dl_filetype">' . $dlFiletype . '</td>' . "\n";
				}
				
				if($dl_filedate == 'true')
				{
					$dirlistOutput.= '<td class="dl_filedate">' . date ($plugin_tx['dirlist']['format_datetime'], filemtime($dirlistDataPathCurr . $dirlistFile)) . '</td>' . "\n";
				}
				
				if($dl_filesize == 'true')
				{
					$dirlistOutput.= '<td class="dl_filesize">' . round(filesize($dirlistDataPathCurr . $dirlistFile)/1024, 0) . '</td>' . "\n";
				}
				
				$dirlistOutput.= '</tr>
';
			}
			
			$dirlistOutput.= '</tbody>
</table>';
		}
		else
		{
			$dirlistOutput.= '<p>' . $plugin_tx['dirlist']['text_no_files_or_folder'] . '<p>';
		}
	}
	
	
	$dirlistOutput.= '
</div>

';
	
	return $dirlistOutput;
}

?>